Jump to content
Ghost Recon.net Forums
Sign in to follow this  
Lost Cipher

Problem with the MR-C68 Weapon Mod

Recommended Posts

Hello, I seem to be having a problem with the MR-C68 weapon mod.

I installed the mod as directed, creating a Local folder and an English folder. However whenever trying to play either single player or multiplayer results in a CTD.

Whenever I try Single Player I receive this crash log:

Crash in application version: grpcrc1.35

data\lib\setups\setup.dsf(-1): cant find member: order_manager in type <Statsblock:global>

SCRIPT STACK

data\levels\mission05\mission05_ni.dsf(0)

And when I try Multiplayer I receive this crash log:

Crash in application version: grpcrc1.35

data\lib\managers\transitionmanager.dsf(-1): cant find member: objective_text in type <Statsblock:global>

I am currently running the STEAM version of the game, with the latest patch.

Share this post


Link to post
Share on other sites

Just a stab here -no longer have the game and cannot check- but this mod was released prior to the v1.35 revision and may not be compatible with it.

Share this post


Link to post
Share on other sites

I used to play the retail dvd version and patched to 1.35 on windows xp home and the same thing happened to me.

When you downloaded the weapon mod there should be three files, one is MR_C68 and two is MR_C68Full and third file is a MR_C68 Readme pdf. I think there is a file or two i had to delete in the sb_templetes folder and lib folder to get it to work in single player only, i never tested in mp environement, and also i think i only used and tweaked the MR_C68Full weapon file/folder.

If i get time i'll install the game on windows XP 32-Bit and find out how i got it to work and update this post asap.

Share this post


Link to post
Share on other sites

Well I am running the steam version of the game, and I can't seem to find a way to install just the vanilla game. It seems like it automatically installs the 1.35 patched version.

I am running Windows 7 64 bit, though I have been able to get the GR:AW M4 SOPMOD modification to run with no problems even without modification to the mod. I will continue to try a few things, but I still am having problems.

@NoQuarter: Would you know any way to allow the mod to work with the 1.35 version?

Also, I would like to thank both of you for replying. And at least trying to help.

Edited by Lost Cipher

Share this post


Link to post
Share on other sites

You can make the mod compatible by adding/updating the missing lines to the modded files.

Does the mod use an sb_global.xml file?

It looks like the mod uses or references an old sb_global.xml (can't find member error) and it's

probably missing a <var name="order_manager" type="object"/> and <var name="transition_manager" type="object"/>

entry under the Global Managers, or a <stats block="sb_global_data"/> setting somewhere in one or more

of the files.

It's been a long time since I modded graw, but it shouldn't be too hard to get it working.

You will probably need to unbundle the (can't remember the name) large game bundle to get access

to the xml files, or you could extract the contents of the latest patch ( I think it uses an inno setup installer, so

something like universal extractor can handle this ) that way you only get the updated files that were

changed between patches.

I'd tell you what to change exactly, but I can't find my graw1 dvd anywhere, so I'm trying to go by memory.

Share this post


Link to post
Share on other sites

I think EricJ ( mod author) made MR_C68 fully compatible with grpcrc1.02 and single player and LAN only?. I had no problems with MR_C68 and grpcrc1.02 on windows 7 x64 in sp and LAN. But with grpcrc1.35 i had issues with securom, but i was able to get the mod to work in single player only, lan mode crashed so i presume internet would crash as well.

To get the mod to work in sp only and patched to 1.35 on windows 7 x64 i had to delete some files from the MR_C68 mod folder. I deleted the group_manager xml from the [lib] folder, then i deleted the [global] file and the sb_husk_data xml from the [sb_templetes] folder.

Windows 7 64-Bit patch 1.02

b102c.jpg

c102.jpg

Window 7 64-Bit patch 1.35

b135.jpg

c135.jpg

Share this post


Link to post
Share on other sites

Well I am running the steam version of the game, and I can't seem to find a way to install just the vanilla game. It seems like it automatically installs the 1.35 patched version.

Once the full game is installed, is it not possible to go to the games directory within the steam client and click on properties and under updates check "Do not automatically update this game" ?.

Share this post


Link to post
Share on other sites

Well I am running the steam version of the game, and I can't seem to find a way to install just the vanilla game. It seems like it automatically installs the 1.35 patched version.

Once the full game is installed, is it not possible to go to the games directory within the steam client and click on properties and under updates check "Do not automatically update this game" ?.

I tried that, it automatically installed the 1.35 version when it installed the game. Unless their is a way to install the game without updates? Though I think it already installs a pre-patched version?

Edited by Lost Cipher

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×